Bug 62489 - warning *and* error if --rsh=prog is specified for rsync:// transfer
warning *and* error if --rsh=prog is specified for rsync:// transfer
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: rsync (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-01 13:28 EST by Alexandre Oliva
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 16:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-04-01 13:28:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
Transfers using the rsync:// protocol disregard the --rsh=prog option, and they
warn so.  However, this option also causes a hard error at the end of the transfer.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./usr/bin/rsync -r rsync://distro.ibiblio.org/redhat/rawhide/RedHat/ RedHat/  #
will transfer only an empty directory, no worries
2./usr/bin/rsync -e ssh -r rsync://distro.ibiblio.org/redhat/rawhide/RedHat/
RedHat/ # error
3./usr/bin/rsync --rsh ssh -r rsync://distro.ibiblio.org/redhat/rawhide/RedHat/
RedHat/ # error

Actual Results:  1.Successful transfer of an empty RPMS directory.  Exit status
is 0.
2 and 3:
WARNING: --rsh or -e option ignored when connecting to rsync daemon
[...]
rsync error: partial transfer (code 23) at main.c(893)

Exit status is non-zero.  Oops.

Expected Results:  The warning is appropriate, indeed, but the hard error is not.

Additional info:
Comment 1 Bill Nottingham 2002-04-10 23:52:23 EDT
Fixed in 2.5.4-2 - thanks!
Comment 2 Martin Pool 2002-04-15 03:51:33 EDT
Bill, I have your patch, it will be merged in upstream 2.5.6.

Note You need to log in before you can comment on or make changes to this bug.